Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.beans
Class HTMLTextBean

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.text.JTextComponent
                      javax.swing.JTextArea
                          org.htmlparser.beans.HTMLTextBean

All Implemented Interfaces:
  ImageObserver, MenuContainer, PropertyChangeListener, Serializable, EventListener, Accessible, Scrollable

    public class HTMLTextBean

extends JTextArea
implements Serializable, PropertyChangeListener

Display the textual URL contents.

Author:
  Derrick Oswald Created on December 24, 2002, 3:49 PM
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JTextArea
`JTextArea.AccessibleJTextArea`

Nested classes/interfaces inherited from class javax.swing.text.JTextComponent
`JTextComponent.AccessibleJTextComponent, JTextComponent.KeyBinding`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected StringBean` | `mBean` The underlying bean that provides our htmlparser specific properties.

Fields inherited from class javax.swing.text.JTextComponent
`DEFAULT_KEYMAP, FOCUS_ACCELERATOR_KEY`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`HTMLTextBean()` Creates a new HTMLTextBean.

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)` Add a PropertyChangeListener to the listener list.
`StringBean` | `getBean()` Return the underlying bean object.
`boolean` | `getCollapse()` Get the current 'collapse whitespace' state.
`URLConnection` | `getConnection()` Getter for property Connection.
`boolean` | `getLinks()` Getter for property links.
`Dimension` | `getMinimumSize()` Return the minimum dimension for this visible bean.
`boolean` | `getReplaceNonBreakingSpaces()` Get the current 'replace non breaking spaces' state.
`String` | `getStrings()` Getter for property strings.
`String` | `getURL()` Getter for property URL.
`void` | `propertyChange(PropertyChangeEvent event)` Responds to changes in the underlying bean's properties.
`void` | `removePropertyChangeListener(PropertyChangeListener listener)` Remove a PropertyChangeListener from the listener list.
`void` | `setCollapse(boolean collapse)` Set the current 'collapse whitespace' state.
`void` | `setConnection(URLConnection connection)` Setter for property Connection.
`void` | `setLinks(boolean links)` Setter for property links.
`void` | `setReplaceNonBreakingSpaces(boolean replace)` Set the 'replace non breaking spaces' state.
`void` | `setURL(String url)` Setter for property URL.

Methods inherited from class javax.swing.JTextArea
`append, createDefaultModel, getAccessibleContext, getColumns, getColumnWidth, getLineCount, getLineEndOffset, getLineOfOffset, getLineStartOffset, getLineWrap, getPreferredScrollableViewportSize, getPreferredSize, getRowHeight, getRows, getScrollableTracksViewportWidth, getScrollableUnitIncrement, getTabSize, getUIClassID, getWrapStyleWord, insert, paramString, replaceRange, setColumns, setFont, setLineWrap, setRows, setTabSize, setWrapStyleWord`

Methods inherited from class javax.swing.text.JTextComponent
`addCaretListener, addInputMethodListener, addKeymap, copy, cut, fireCaretUpdate, getActions, getCaret, getCaretColor, getCaretListeners, getCaretPosition, getDisabledTextColor, getDocument, getDragEnabled, getFocusAccelerator, getHighlighter, getInputMethodRequests, getKeymap, getKeymap, getMargin, getNavigationFilter, getScrollableBlockIncrement, getScrollableTracksViewportHeight, getSelectedText, getSelectedTextColor, getSelectionColor, getSelectionEnd, getSelectionStart, getText, getText, getToolTipText, getUI, isEditable, loadKeymap, modelToView, moveCaretPosition, paste, processInputMethodEvent, read, removeCaretListener, removeKeymap, removeNotify, replaceSelection, select, selectAll, setCaret, setCaretColor, setCaretPosition, setComponentOrientation, setDisabledTextColor, setDocument, setDragEnabled, setEditable, setFocusAccelerator, setHighlighter, setKeymap, setMargin, setNavigationFilter, setSelectedTextColor, setSelectionColor, setSelectionEnd, setSelectionStart, setText, setUI, updateUI, viewToModel, write`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mBean

    protected StringBean mBean

  The underlying bean that provides our htmlparser specific properties.

Constructor Detail

### HTMLTextBean

    public HTMLTextBean()

  Creates a new HTMLTextBean. This uses an underlying StringBean and displays the text.

Method Detail

### getMinimumSize

    public Dimension getMinimumSize()

  Return the minimum dimension for this visible bean.

  Overrides:
    `getMinimumSize` in class `JComponent`
  Returns:
    a minimum bounding box for this bean.

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

  Add a PropertyChangeListener to the listener list. The listener is registered for all properties.

  Delegates to the underlying StringBean

  Overrides:
    `addPropertyChangeListener` in class `Container`
  Parameters:
    `listener` - The PropertyChangeListener to be added.

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

  Remove a PropertyChangeListener from the listener list. This removes a registered PropertyChangeListener.

  Delegates to the underlying StringBean

  Overrides:
    `removePropertyChangeListener` in class `Component`
  Parameters:
    `listener` - The PropertyChangeListener to be removed.

### getBean

    public StringBean getBean()

  Return the underlying bean object. Creates a new one if it hasn't been initialized yet.

  Returns:
    The StringBean this bean uses to fetch text.

### getStrings

    public String getStrings()

  Getter for property strings.

  Delegates to the underlying StringBean

  Returns:
    Value of property strings.

### getLinks

    public boolean getLinks()

  Getter for property links.

  Delegates to the underlying StringBean

  Returns:
    Value of property links.

### setLinks

    public void setLinks(boolean links)

  Setter for property links.

  Delegates to the underlying StringBean

  Parameters:
    `links` - New value of property links.

### getURL

    public String getURL()

  Getter for property URL.

  Delegates to the underlying StringBean

  Returns:
    Value of property URL.

### setURL

    public void setURL(String url)

  Setter for property URL.

  Delegates to the underlying StringBean

  Parameters:
    `url` - New value of property URL.

### getReplaceNonBreakingSpaces

    public boolean getReplaceNonBreakingSpaces()

  Get the current 'replace non breaking spaces' state.

  Returns:
    The `true` if non-breaking spaces (character ' ', numeric character reference &160; or character entity reference ) are to be replaced with normal spaces (character ' ').

### setReplaceNonBreakingSpaces

    public void setReplaceNonBreakingSpaces(boolean replace)

  Set the 'replace non breaking spaces' state.

  Parameters:
    `replace` - `true` if non-breaking spaces (character ' ', numeric character reference &160; or character entity reference ) are to be replaced with normal spaces (character ' ').

### getCollapse

    public boolean getCollapse()

  Get the current 'collapse whitespace' state. If set to `true` this emulates the operation of browsers in interpretting text where auser agents should collapse input white space sequences when producing output inter-word space. See HTML specification section 9.1 White space http://www.w3.org/TR/html4/struct/text.html#h-9.1

  Returns:
    `true` if sequences of whitespace (space ' ', tab ' ', form feed ' ', zero-width space '​', carriage-return '\r' and newline '\n') are to be replaced with a single space.

### setCollapse

    public void setCollapse(boolean collapse)

  Set the current 'collapse whitespace' state.

  Parameters:
    `collapse` - If `true`, sequences of whitespace will be reduced to a single space.

### getConnection

    public URLConnection getConnection()

  Getter for property Connection.

  Returns:
    Value of property Connection.

### setConnection

    public void setConnection(URLConnection connection)

  Setter for property Connection.

  Parameters:
    `connection` - New value of property Connection.

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

  Responds to changes in the underlying bean's properties.

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`
  Parameters:
    `event` - The event triggering this listener method call.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |